@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* todo corpo */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
  min-height: 100vh;
  background-color: #ffffff;
}

/* Menu - Navbar */
header {
  position: fixed;
  left: 0;
  padding: 0 50px;
  background: #ffffff;
  width: 100%;
  height: 80px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1000;
}

header .logo {
  float: left;
}

.logo img {
  margin-top: -5px;
  margin-left: 0px;
  width: 180px;
}

header nav {
  float: right;
  margin-right: 0px;
}

header nav ul {
  padding: 0;
  display: flex;
  transition: 0.2s;
}

header nav ul li {
  list-style: none;
  position: relative;
}

header nav ul li a {
  height: 70px;
  line-height: 80px;
  padding: 0 20px;
  color: #000000;
  font-weight: 650;
  font-size: 1em;
  text-decoration: none;
  display: block;
}

header nav ul li a:hover {
  color: #f38425;
  text-decoration: none;
}

.menu-toggle {
  color: #000000;
  float: right;
  line-height: 60px;
  font-size: 24px;
  display: none;
}

/* Sub-Menu*/
.submenu {
  margin-top: 60px;
  height: 30px;
  background-color: #f9f9f9;
}

.submenus {
  padding-top: px;
}

.submenus a {
  color: #333333;
  font-size: 0.7em;
  text-decoration: none;
}

.submenus a:hover {
  color: #1b1b1b;
  font-size: 0.7em;
  text-decoration: none;
}

.submenus span {
  color: #a2a2a2;
  font-size: 0.7em;
  text-decoration: none;
}

.submenus .fa-angle-double-right {
  color: #929292;
  font-size: 0.7em;
  padding-top: 10px;
}

/* Rodapé */
footer {
  background-color: #000000;
  height: 220px;
}


.logo_roda img {
  width: 200px;
  margin-top: 10px;
}

.logo_roda p {
  color: #fff;
  padding-right: 100px;
  font-size: .9em;
}

.links {
  padding-top: 30px;
  line-height: 15px;
}

.links a {
  color: #ffffff;
  text-decoration: none;
  font-weight: 600;
}

.contatos {
  line-height: 10px;
}

.contatos h6 {
  color: #fff;
  padding-top: 30px;
  padding-bottom: 10px;
}

.contatos a {
  color: #e6e6e6;
  text-decoration: none;
}

.contatos p {
  color: #e6e6e6;
  font-size: .9em;
}

.social-links a {
  display: inline-block;
  height: 35px;
  width: 35px;
  background-color: #ffffff;
  margin: 0px;
  text-align: center;
  line-height: 35px;
  border-radius: 50%;
  color: #000000;
  transition: all 0.5s ease;
}

.social-links a:hover {
  color: #24262b;
  background-color: #ebebeb;
}

/* Desenvolvedor */
.developer {
  background-color: #000000;
  height: 50px;
  text-align: center;
  border-top: 1px solid #4a4a4a;
}

.developer p {
  color: #fff;
  font-size: .8em;
  padding-top: 15px;
}

.developer p a {
  color: #fff;
  font-weight: 600;
  text-decoration: none;
}

/* Entrar em contato com Whatsapp */
.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  background-color: #25d366;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.fa-whatsapp {
  font-size: 2.5em;
  color: #fff;
}

.fa-whatsapp a {
  text-decoration: none;
}

/* Responsive Tablet, Telemóvel e Tablet */
@media (max-width: 991px) {

  header {
    padding: 0 20px;
    height: 70px;
  }

  .menu-toggle {
    display: block;
    z-index: 900;
  }

  header nav {
    position: absolute;
    width: 100%;
    height: calc(100vh - 60px);
    background: #000000;
    top: 60px;
    left: -100%;
    transition: 0.5s;
  }

  header .logo {
    height: 60px;
    line-height: 60px;
    float: left;
  }

  .logo img {
    width: 140px;
  }

  header nav ul li a {
    height: 60px;
    line-height: 60px;
    padding: 0 20px;
    color: #ffffff;
    font-weight: 600;
    text-decoration: none;
    display: block;
    border-bottom: 1px solid #8e8e8e50;
  }

  header nav.active {
    left: 0;
  }

  header nav ul {
    display: block;
    text-align: center;
  }

  header nav ul li.active ul {
    position: relative;
    background: #f8f8f8;
  }

  header nav ul li ul li {
    width: 100%;
  }

  header nav ul li ul a {
    color: #fff;
    background: #464646;
    border-bottom: 1px solid rgba(255, 255, 255, 0.279);
  }
}

/* Para Telemóvel e Tablet */
@media(max-width: 768px) {

  /* Sub-Menu*/
  .submenu {
    margin-top: 50px;
    height: 40px;
  }

  .submenus {
    padding-top: 5px;
  }

  /* Rodapé */
  footer {
    background-color: #000000;
    height: 100%;
  }

  .logo_roda img {
    width: 200px;
    margin-top: 10px;
  }

  .logo_roda p {
    color: #fff;
    padding-right: 20px;
    font-size: .9em;
  }

  .links {
    padding-top: 30px;
    line-height: 15px;
  }

  .links a {
    color: #ffffff;
    text-decoration: none;
    font-weight: 600;
  }

  .contatos {
    line-height: 10px;
  }

  .contatos h6 {
    color: #fff;
    padding-top: 30px;
    padding-bottom: 10px;
  }

  .contatos a {
    color: #e6e6e6;
    text-decoration: none;
  }

  .contatos p {
    color: #e6e6e6;
    font-size: .9em;
  }

  /* Desenvolvedor */
  .developer {
    background-color: #000000;
    height: 100px;
    text-align: left;
    border-top: 1px solid #4a4a4a;
  }

  .developer p {
    color: #fff;
    font-size: .8em;
    padding-top: 15px;
    padding-bottom: 10px;
  }

  /* Entrar em contato com Whatsapp */
  .whatsapp-float {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    background-color: #25d366;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
  }

  .fa-whatsapp {
    font-size: 2.5em;
    color: #fff;
  }

  .fa-whatsapp a {
    text-decoration: none;
  }

}